[Overview][Constants][Types][Classes][Index] | Reference for unit 'fgl' (#rtl)

# TFPSList.IndexOf

Search an item in the list

## Declaration

Source position: fgl.pp line 83

`public function TFPSList.IndexOf(`
`Item: Pointer`
`):Integer;`

## Arguments

`Item` |  | Pointer to item to search for.

## Function result

Position in the list (0-based)

## Description

IndexOf searches in the list for the item pointed to by Item, and returns the position (0-based index) of the item in the list, or -1 if it was not found. The items are compared using sysutils.CompareMem, so an exact memory layout match.

## See also

TFPSList.Extract |  | delete an element from the list